Index: trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 32)
+++ trunk/doc/Flair/classflair_1_1core_1_1_framework_manager.js	(revision 33)
@@ -3,5 +3,5 @@
     [ "FrameworkManager", "classflair_1_1core_1_1_framework_manager.html#ac4488013eb79fb1cd0c57fe4774120ae", null ],
     [ "~FrameworkManager", "classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4", null ],
-    [ "SetupConnection", "classflair_1_1core_1_1_framework_manager.html#ab2a2ea16b7d5558ac24c24476eb5116f", null ],
+    [ "SetupConnection", "classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88", null ],
     [ "SetupUserInterface", "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85", null ],
     [ "GetTabWidget", "classflair_1_1core_1_1_framework_manager.html#a8f3989b0199826a913f352cc1e26f86b", null ],
Index: trunk/doc/Flair/classflair_1_1gui_1_1_widget.js
===================================================================
--- trunk/doc/Flair/classflair_1_1gui_1_1_widget.js	(revision 32)
+++ trunk/doc/Flair/classflair_1_1gui_1_1_widget.js	(revision 33)
@@ -10,4 +10,5 @@
     [ "SendXml", "classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb", null ],
     [ "XmlEvent", "classflair_1_1gui_1_1_widget.html#a92d4e0613146c9b348b388f3f75cca9e", null ],
+    [ "UnsetPersistentXmlProp", "classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434", null ],
     [ "core::FrameworkManager", "classflair_1_1gui_1_1_widget.html#ae9d4248776523b22e3242651bcee4557", null ],
     [ "::Widget_impl", "classflair_1_1gui_1_1_widget.html#a2a6f0753cfcbf314ad7fa952bfe9bc67", null ],
Index: trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js
===================================================================
--- trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 32)
+++ trunk/doc/Flair/classflair_1_1sensor_1_1_simu_gps.js	(revision 33)
@@ -1,5 +1,6 @@
 var classflair_1_1sensor_1_1_simu_gps =
 [
-    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a4b09d9e6fb1d1cbf5f10365536ff1c66", null ],
+    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a937609c8932b45881dac4261bc892915", null ],
+    [ "SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a09d3d0eea30ccabfee9ca4871a8229f7", null ],
     [ "~SimuGps", "classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3", null ]
 ];
Index: trunk/doc/Flair/navtreedata.js
===================================================================
--- trunk/doc/Flair/navtreedata.js	(revision 32)
+++ trunk/doc/Flair/navtreedata.js	(revision 33)
@@ -35,6 +35,6 @@
 "classflair_1_1core_1_1_vector3_ddata.html#a384d76d6e676ae8d0c231f9d2e27b460",
 "classflair_1_1gui_1_1_combo_box.html#a94dfafa39f93e5d57b68ab72305c38b4",
-"classflair_1_1meta_1_1_x_air.html#acef907daa0b811d60d6308d06b85d104",
-"classflair_1_1sensor_1_1_target_eth_controller.html#a2450183278869655819ceb15017fe6f0"
+"classflair_1_1meta_1_1_x_air.html#aad0ad84b7d771c368341943568337c37",
+"classflair_1_1sensor_1_1_target_eth_controller.html"
 ];
 
Index: trunk/doc/Flair/navtreeindex1.js
===================================================================
--- trunk/doc/Flair/navtreeindex1.js	(revision 32)
+++ trunk/doc/Flair/navtreeindex1.js	(revision 33)
@@ -162,4 +162,5 @@
 "classflair_1_1core_1_1_framework_manager.html#a477b3cee8fa2c2338896006faaeefe42":[1,0,0,1,11,15],
 "classflair_1_1core_1_1_framework_manager.html#a528ab69c3a850237007a074732d9fa85":[1,0,0,1,11,3],
+"classflair_1_1core_1_1_framework_manager.html#a536f78b53e6f4890120b1312aa3c7b88":[1,0,0,1,11,2],
 "classflair_1_1core_1_1_framework_manager.html#a65eff6c3651dafddc2dd55c3cab281b4":[1,0,0,1,11,9],
 "classflair_1_1core_1_1_framework_manager.html#a69e12f51081a3d58876553d9858ea1bd":[1,0,0,1,11,14],
@@ -171,5 +172,4 @@
 "classflair_1_1core_1_1_framework_manager.html#aa1b6474b3972665d20c706ff89965271":[1,0,0,1,11,11],
 "classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4":[1,0,0,1,11,1],
-"classflair_1_1core_1_1_framework_manager.html#ab2a2ea16b7d5558ac24c24476eb5116f":[1,0,0,1,11,2],
 "classflair_1_1core_1_1_framework_manager.html#ac0b1886b695379518bfeff9142d32405":[1,0,0,1,11,5],
 "classflair_1_1core_1_1_framework_manager.html#ac4488013eb79fb1cd0c57fe4774120ae":[1,0,0,1,11,0],
Index: trunk/doc/Flair/navtreeindex4.js
===================================================================
--- trunk/doc/Flair/navtreeindex4.js	(revision 32)
+++ trunk/doc/Flair/navtreeindex4.js	(revision 33)
@@ -102,14 +102,15 @@
 "classflair_1_1gui_1_1_widget.html#a0e81847db5a84b2e7e26545c9b1b704f":[1,0,0,3,22,4],
 "classflair_1_1gui_1_1_widget.html#a299877c38b297ada04542e4dfc5a2f4f":[1,0,0,3,22,3],
-"classflair_1_1gui_1_1_widget.html#a2a6f0753cfcbf314ad7fa952bfe9bc67":[1,0,0,3,22,10],
+"classflair_1_1gui_1_1_widget.html#a2a6f0753cfcbf314ad7fa952bfe9bc67":[1,0,0,3,22,11],
 "classflair_1_1gui_1_1_widget.html#a6404c7f474be994ec4e72a97e45dfffa":[1,0,0,3,22,5],
 "classflair_1_1gui_1_1_widget.html#a7b867cc6c603cbc5e5a2f39f083a9494":[1,0,0,3,22,0],
 "classflair_1_1gui_1_1_widget.html#a81110928e09e909dc1cc90971de4e8a9":[1,0,0,3,22,1],
 "classflair_1_1gui_1_1_widget.html#a814a933622114ad9c8f5d49014262d89":[1,0,0,3,22,2],
-"classflair_1_1gui_1_1_widget.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,3,22,11],
+"classflair_1_1gui_1_1_widget.html#a85f53b6422522c0e6d8c02a3fda425e8":[1,0,0,3,22,12],
 "classflair_1_1gui_1_1_widget.html#a92d4e0613146c9b348b388f3f75cca9e":[1,0,0,3,22,8],
+"classflair_1_1gui_1_1_widget.html#a9ba37bd7fad0f4a97175d922b93b5434":[1,0,0,3,22,9],
 "classflair_1_1gui_1_1_widget.html#abe5ab96255919238138527c92fbeb6d8":[1,0,0,3,22,6],
 "classflair_1_1gui_1_1_widget.html#ac80f72906580f269b5881c1ef0b35afb":[1,0,0,3,22,7],
-"classflair_1_1gui_1_1_widget.html#ae9d4248776523b22e3242651bcee4557":[1,0,0,3,22,9],
+"classflair_1_1gui_1_1_widget.html#ae9d4248776523b22e3242651bcee4557":[1,0,0,3,22,10],
 "classflair_1_1meta_1_1_hds_x8.html":[1,0,0,4,0],
 "classflair_1_1meta_1_1_hds_x8.html#ac64a8cb838c09d0b6489ccc37767d5c5":[1,0,0,4,0,1],
@@ -249,5 +250,4 @@
 "classflair_1_1meta_1_1_uav_state_machine.html#af61a3a807c656973d67f51630019310e":[1,0,0,4,7,24],
 "classflair_1_1meta_1_1_x_air.html":[1,0,0,4,8],
-"classflair_1_1meta_1_1_x_air.html#a42374387735247add58968b985d7cd5a":[1,0,0,4,8,1],
-"classflair_1_1meta_1_1_x_air.html#aad0ad84b7d771c368341943568337c37":[1,0,0,4,8,0]
+"classflair_1_1meta_1_1_x_air.html#a42374387735247add58968b985d7cd5a":[1,0,0,4,8,1]
 };
Index: trunk/doc/Flair/navtreeindex5.js
===================================================================
--- trunk/doc/Flair/navtreeindex5.js	(revision 32)
+++ trunk/doc/Flair/navtreeindex5.js	(revision 33)
@@ -1,4 +1,5 @@
 var NAVTREEINDEX5 =
 {
+"classflair_1_1meta_1_1_x_air.html#aad0ad84b7d771c368341943568337c37":[1,0,0,4,8,0],
 "classflair_1_1meta_1_1_x_air.html#acef907daa0b811d60d6308d06b85d104":[1,0,0,4,8,2],
 "classflair_1_1sensor_1_1_battery_monitor.html":[1,0,0,5,0],
@@ -127,22 +128,23 @@
 "classflair_1_1sensor_1_1_mb800.html#afec90a43b805df6d850c50a1047e54eb":[1,0,0,5,9,0],
 "classflair_1_1sensor_1_1_nmea_gps.html":[1,0,0,5,10],
-"classflair_1_1sensor_1_1_nmea_gps.html#a0198e8b7960279c1322492ca7a711920":[1,0,0,5,10,5],
-"classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e":[1,0,0,5,10,13],
-"classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086":[1,0,0,5,10,6],
-"classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48":[1,0,0,5,10,4],
-"classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c":[1,0,0,5,10,7],
-"classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95":[1,0,0,5,10,11],
-"classflair_1_1sensor_1_1_nmea_gps.html#a41ca62c8875131b8cc3d2bbf7429a008":[1,0,0,5,10,17],
-"classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8":[1,0,0,5,10,15],
-"classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9":[1,0,0,5,10,2],
-"classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa":[1,0,0,5,10,8],
-"classflair_1_1sensor_1_1_nmea_gps.html#a79938d8f65af8727dec1f0a639054816":[1,0,0,5,10,14],
-"classflair_1_1sensor_1_1_nmea_gps.html#a7f410773b95fa45f7bcf756f7d391752":[1,0,0,5,10,18],
-"classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676":[1,0,0,5,10,16],
+"classflair_1_1sensor_1_1_nmea_gps.html#a0198e8b7960279c1322492ca7a711920":[1,0,0,5,10,6],
+"classflair_1_1sensor_1_1_nmea_gps.html#a135e080ecff933da9b60cc6e613b543e":[1,0,0,5,10,14],
+"classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086":[1,0,0,5,10,7],
+"classflair_1_1sensor_1_1_nmea_gps.html#a21d740a42cf087ef0e78421ce0baae48":[1,0,0,5,10,5],
+"classflair_1_1sensor_1_1_nmea_gps.html#a32343c4f381f77c03df4602879a2001c":[1,0,0,5,10,8],
+"classflair_1_1sensor_1_1_nmea_gps.html#a3b16dd874f0832595fe0cc874ac08d95":[1,0,0,5,10,12],
+"classflair_1_1sensor_1_1_nmea_gps.html#a41ca62c8875131b8cc3d2bbf7429a008":[1,0,0,5,10,19],
+"classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8":[1,0,0,5,10,16],
+"classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9":[1,0,0,5,10,3],
+"classflair_1_1sensor_1_1_nmea_gps.html#a6885e7aeac1b20a7972fc05be99794fa":[1,0,0,5,10,9],
+"classflair_1_1sensor_1_1_nmea_gps.html#a79938d8f65af8727dec1f0a639054816":[1,0,0,5,10,15],
+"classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba":[1,0,0,5,10,2],
+"classflair_1_1sensor_1_1_nmea_gps.html#a8f56a1f0f0d397e9f0cab93767cc8676":[1,0,0,5,10,17],
 "classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf":[1,0,0,5,10,1],
-"classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6":[1,0,0,5,10,12],
-"classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9":[1,0,0,5,10,10],
-"classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0":[1,0,0,5,10,3],
-"classflair_1_1sensor_1_1_nmea_gps.html#af0aa37ed1f045aa5096e16f9a773e318":[1,0,0,5,10,9],
+"classflair_1_1sensor_1_1_nmea_gps.html#aa3121a4fe4c47fdc2fb1115c263801d6":[1,0,0,5,10,13],
+"classflair_1_1sensor_1_1_nmea_gps.html#ad25ede505f9bed9afaf06fa39d9871f9":[1,0,0,5,10,11],
+"classflair_1_1sensor_1_1_nmea_gps.html#add3819e87a4f7c824c0f0c2aa6e5f8e0":[1,0,0,5,10,4],
+"classflair_1_1sensor_1_1_nmea_gps.html#aee8aa01e58039b23baddea8601fda551":[1,0,0,5,10,18],
+"classflair_1_1sensor_1_1_nmea_gps.html#af0aa37ed1f045aa5096e16f9a773e318":[1,0,0,5,10,10],
 "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967":[1,0,0,5,10,0],
 "classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967a2b53bb8929c7571fc2ead192d23aaa7e":[1,0,0,5,10,0,2],
@@ -185,6 +187,7 @@
 "classflair_1_1sensor_1_1_simu_camera_g_l.html#ab9fed80b79343744331b8cf6c2d22b9e":[1,0,0,5,17,2],
 "classflair_1_1sensor_1_1_simu_gps.html":[1,0,0,5,18],
-"classflair_1_1sensor_1_1_simu_gps.html#a4b09d9e6fb1d1cbf5f10365536ff1c66":[1,0,0,5,18,0],
-"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,18,1],
+"classflair_1_1sensor_1_1_simu_gps.html#a09d3d0eea30ccabfee9ca4871a8229f7":[1,0,0,5,18,1],
+"classflair_1_1sensor_1_1_simu_gps.html#a83232caaf25e2298e39b083e046846a3":[1,0,0,5,18,2],
+"classflair_1_1sensor_1_1_simu_gps.html#a937609c8932b45881dac4261bc892915":[1,0,0,5,18,0],
 "classflair_1_1sensor_1_1_simu_imu.html":[1,0,0,5,19],
 "classflair_1_1sensor_1_1_simu_imu.html#a02d0ba12625f34bc2bd88d1fe4ad6cd4":[1,0,0,5,19,0],
@@ -247,7 +250,4 @@
 "classflair_1_1sensor_1_1_target_controller.html#af7f9a61889cd8ebe05074e977b15d68f":[1,0,0,5,26,1],
 "classflair_1_1sensor_1_1_target_controller.html#afa9256a134754f3cd321009f0c721e4f":[1,0,0,5,26,7],
-"classflair_1_1sensor_1_1_target_controller.html#afce7c1aafc6e9411a495c7b4ef011eed":[1,0,0,5,26,26],
-"classflair_1_1sensor_1_1_target_eth_controller.html":[1,0,0,5,27],
-"classflair_1_1sensor_1_1_target_eth_controller.html#a01568cea741e98ebcab98e9fb1bf9c8c":[1,0,0,5,27,0],
-"classflair_1_1sensor_1_1_target_eth_controller.html#a236bef11baaa35584a29c28b65114629":[1,0,0,5,27,4]
+"classflair_1_1sensor_1_1_target_controller.html#afce7c1aafc6e9411a495c7b4ef011eed":[1,0,0,5,26,26]
 };
Index: trunk/doc/Flair/navtreeindex6.js
===================================================================
--- trunk/doc/Flair/navtreeindex6.js	(revision 32)
+++ trunk/doc/Flair/navtreeindex6.js	(revision 33)
@@ -1,4 +1,7 @@
 var NAVTREEINDEX6 =
 {
+"classflair_1_1sensor_1_1_target_eth_controller.html":[1,0,0,5,27],
+"classflair_1_1sensor_1_1_target_eth_controller.html#a01568cea741e98ebcab98e9fb1bf9c8c":[1,0,0,5,27,0],
+"classflair_1_1sensor_1_1_target_eth_controller.html#a236bef11baaa35584a29c28b65114629":[1,0,0,5,27,4],
 "classflair_1_1sensor_1_1_target_eth_controller.html#a2450183278869655819ceb15017fe6f0":[1,0,0,5,27,3],
 "classflair_1_1sensor_1_1_target_eth_controller.html#a3b0db862fd1072482a9d27f90c1dee86":[1,0,0,5,27,1],
@@ -209,20 +212,20 @@
 "io__data_8h.html#ad87fcd9f0a37939dfec9611a248b4658":[2,0,45,9],
 "io__data_8h_source.html":[2,0,45],
+"namespaceflair.html":[1,0,0],
 "namespaceflair.html":[0,0,0],
-"namespaceflair.html":[1,0,0],
 "namespaceflair_1_1actuator.html":[0,0,0,0],
 "namespaceflair_1_1actuator.html":[1,0,0,0],
+"namespaceflair_1_1core.html":[1,0,0,1],
 "namespaceflair_1_1core.html":[0,0,0,1],
-"namespaceflair_1_1core.html":[1,0,0,1],
 "namespaceflair_1_1filter.html":[0,0,0,2],
 "namespaceflair_1_1filter.html":[1,0,0,2],
+"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1gui.html":[1,0,0,3],
-"namespaceflair_1_1gui.html":[0,0,0,3],
 "namespaceflair_1_1meta.html":[1,0,0,4],
 "namespaceflair_1_1meta.html":[0,0,0,4],
 "namespaceflair_1_1sensor.html":[0,0,0,5],
 "namespaceflair_1_1sensor.html":[1,0,0,5],
+"namespaceflair_1_1simulator.html":[0,0,0,6],
 "namespaceflair_1_1simulator.html":[1,0,0,6],
-"namespaceflair_1_1simulator.html":[0,0,0,6],
 "namespacemembers.html":[0,1,0],
 "namespacemembers_func.html":[0,1,1],
Index: trunk/doc/Flair/search/all_6.js
===================================================================
--- trunk/doc/Flair/search/all_6.js	(revision 32)
+++ trunk/doc/Flair/search/all_6.js	(revision 33)
@@ -52,5 +52,5 @@
   ['getgconfstring',['getGConfString',['http://qt-project.org/doc/qt-4.8/qgtkstyle.html#getGConfString',0,'QGtkStyle']]],
   ['getglyphadvances',['getGlyphAdvances',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#getGlyphAdvances',0,'QAbstractFontEngine']]],
-  ['getgroupbox',['GetGroupBox',['../classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca',1,'flair::sensor::Camera::GetGroupBox()'],['../classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85',1,'flair::sensor::Imu::GetGroupBox()'],['../classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4',1,'flair::sensor::LaserRangeFinder::GetGroupBox()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a9f126a19d2eda48c45c26fe5946961e5',1,'flair::sensor::UsRangeFinder::GetGroupBox()']]],
+  ['getgroupbox',['GetGroupBox',['../classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca',1,'flair::sensor::Camera::GetGroupBox()'],['../classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85',1,'flair::sensor::Imu::GetGroupBox()'],['../classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4',1,'flair::sensor::LaserRangeFinder::GetGroupBox()'],['../classflair_1_1sensor_1_1_nmea_gps.html#aee8aa01e58039b23baddea8601fda551',1,'flair::sensor::NmeaGps::GetGroupBox()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a9f126a19d2eda48c45c26fe5946961e5',1,'flair::sensor::UsRangeFinder::GetGroupBox()']]],
   ['getgui',['getGui',['../namespaceflair_1_1simulator.html#ae9e80df7cec26d47485e223706ad9ba0',1,'flair::simulator']]],
   ['gethsl',['getHsl',['http://qt-project.org/doc/qt-4.8/qcolor.html#getHsl',0,'QColor']]],
Index: trunk/doc/Flair/search/all_b.js
===================================================================
--- trunk/doc/Flair/search/all_b.js	(revision 32)
+++ trunk/doc/Flair/search/all_b.js	(revision 33)
@@ -142,5 +142,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
+  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
Index: trunk/doc/Flair/search/all_d.js
===================================================================
--- trunk/doc/Flair/search/all_d.js	(revision 32)
+++ trunk/doc/Flair/search/all_d.js	(revision 33)
@@ -86,5 +86,5 @@
   ['nmeaflags_5ft',['NMEAFlags_t',['../classflair_1_1sensor_1_1_nmea_gps.html#af0d7d39483f1e76e5dda4cb10dc8a967',1,'flair::sensor::NmeaGps']]],
   ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html',1,'flair::sensor']]],
-  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps::NmeaGps(const core::FrameworkManager *parent, std::string name, NMEAFlags_t NMEAFlags)'],['../classflair_1_1sensor_1_1_nmea_gps.html#a8379a0c343103e38ee8090411d9eefba',1,'flair::sensor::NmeaGps::NmeaGps(const core::IODevice *parent, std::string name)']]],
   ['nmeagps_2eh',['NmeaGps.h',['../_nmea_gps_8h.html',1,'']]],
   ['nodename',['nodeName',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeName',0,'QDomNode']]],
@@ -96,5 +96,5 @@
   ['normalexit',['normalExit',['http://qt-project.org/doc/qt-4.8/q3process.html#normalExit',0,'Q3Process']]],
   ['normalgeometry',['normalGeometry',['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry()'],['http://qt-project.org/doc/qt-4.8/qwidget.html#normalGeometry-prop',0,'QWidget::normalGeometry() const']]],
-  ['normalize',['Normalize',['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()'],['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()']]],
+  ['normalize',['normalize',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalize',0,'QVector3D::normalize()'],['http://qt-project.org/doc/qt-4.8/qdomnode.html#normalize',0,'QDomNode::normalize()'],['http://qt-project.org/doc/qt-4.8/qrect-qt3.html#normalize',0,'QRect::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalize',0,'QVector2D::normalize()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalize',0,'QVector4D::normalize()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalize',0,'QQuaternion::normalize()'],['../classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3',1,'flair::core::Quaternion::Normalize()'],['../classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf',1,'flair::core::Vector2D::Normalize()'],['../classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007',1,'flair::core::Vector3D::Normalize()']]],
   ['normalized',['normalized',['http://qt-project.org/doc/qt-4.8/qvector3d.html#normalized',0,'QVector3D::normalized()'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized',0,'QString::normalized(NormalizationForm mode) const'],['http://qt-project.org/doc/qt-4.8/qstring.html#normalized-2',0,'QString::normalized(NormalizationForm mode, QChar::UnicodeVersion version) const'],['http://qt-project.org/doc/qt-4.8/qrect.html#normalized',0,'QRect::normalized()'],['http://qt-project.org/doc/qt-4.8/qrectf.html#normalized',0,'QRectF::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector2d.html#normalized',0,'QVector2D::normalized()'],['http://qt-project.org/doc/qt-4.8/qvector4d.html#normalized',0,'QVector4D::normalized()'],['http://qt-project.org/doc/qt-4.8/qquaternion.html#normalized',0,'QQuaternion::normalized()']]],
   ['normalizedpos',['normalizedPos',['http://qt-project.org/doc/qt-4.8/qtouchevent-touchpoint.html#normalizedPos',0,'QTouchEvent::TouchPoint']]],
Index: trunk/doc/Flair/search/all_f.js
===================================================================
--- trunk/doc/Flair/search/all_f.js	(revision 32)
+++ trunk/doc/Flair/search/all_f.js	(revision 33)
@@ -122,5 +122,5 @@
   ['physicalheight',['physicalHeight',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalHeight',0,'QScreen']]],
   ['physicalwidth',['physicalWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalWidth',0,'QScreen']]],
-  ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()'],['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()']]],
+  ['picture',['picture',['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()'],['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()']]],
   ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html',1,'flair::gui']]],
   ['picture_2eh',['Picture.h',['../_picture_8h.html',1,'']]],
Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 32)
+++ trunk/doc/Flair/search/functions_13.js	(revision 33)
@@ -122,5 +122,5 @@
   ['themesearchpaths',['themeSearchPaths',['http://qt-project.org/doc/qt-4.8/qicon.html#themeSearchPaths',0,'QIcon']]],
   ['thisobject',['thisObject',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#thisObject',0,'QScriptContext::thisObject()'],['http://qt-project.org/doc/qt-4.8/qscriptable.html#thisObject',0,'QScriptable::thisObject()']]],
-  ['thread',['thread',['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()'],['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()']]],
+  ['thread',['Thread',['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()'],['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()']]],
   ['throwerror',['throwError',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError',0,'QScriptContext::throwError(Error error, const QString &amp;text)'],['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError-2',0,'QScriptContext::throwError(const QString &amp;text)']]],
   ['throwvalue',['throwValue',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwValue',0,'QScriptContext']]],
Index: trunk/doc/Flair/search/functions_6.js
===================================================================
--- trunk/doc/Flair/search/functions_6.js	(revision 32)
+++ trunk/doc/Flair/search/functions_6.js	(revision 33)
@@ -50,5 +50,5 @@
   ['getgconfstring',['getGConfString',['http://qt-project.org/doc/qt-4.8/qgtkstyle.html#getGConfString',0,'QGtkStyle']]],
   ['getglyphadvances',['getGlyphAdvances',['http://qt-project.org/doc/qt-4.8/qabstractfontengine.html#getGlyphAdvances',0,'QAbstractFontEngine']]],
-  ['getgroupbox',['GetGroupBox',['../classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca',1,'flair::sensor::Camera::GetGroupBox()'],['../classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85',1,'flair::sensor::Imu::GetGroupBox()'],['../classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4',1,'flair::sensor::LaserRangeFinder::GetGroupBox()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a9f126a19d2eda48c45c26fe5946961e5',1,'flair::sensor::UsRangeFinder::GetGroupBox()']]],
+  ['getgroupbox',['GetGroupBox',['../classflair_1_1sensor_1_1_camera.html#ab23554ab7709e2069c7bbd298af82cca',1,'flair::sensor::Camera::GetGroupBox()'],['../classflair_1_1sensor_1_1_imu.html#aa67100f97133a4d1eb4f3a225970eb85',1,'flair::sensor::Imu::GetGroupBox()'],['../classflair_1_1sensor_1_1_laser_range_finder.html#a4fcff544e888eabd22de520366849cd4',1,'flair::sensor::LaserRangeFinder::GetGroupBox()'],['../classflair_1_1sensor_1_1_nmea_gps.html#aee8aa01e58039b23baddea8601fda551',1,'flair::sensor::NmeaGps::GetGroupBox()'],['../classflair_1_1sensor_1_1_us_range_finder.html#a9f126a19d2eda48c45c26fe5946961e5',1,'flair::sensor::UsRangeFinder::GetGroupBox()']]],
   ['getgui',['getGui',['../namespaceflair_1_1simulator.html#ae9e80df7cec26d47485e223706ad9ba0',1,'flair::simulator']]],
   ['gethsl',['getHsl',['http://qt-project.org/doc/qt-4.8/qcolor.html#getHsl',0,'QColor']]],
Index: trunk/doc/Flair/search/functions_b.js
===================================================================
--- trunk/doc/Flair/search/functions_b.js	(revision 32)
+++ trunk/doc/Flair/search/functions_b.js	(revision 33)
@@ -133,5 +133,5 @@
   ['listchildren',['listChildren',['http://qt-project.org/doc/qt-4.8/q3urloperator.html#listChildren',0,'Q3UrlOperator']]],
   ['listelementtype',['listElementType',['http://qt-project.org/doc/qt-4.8/qdeclarativelistreference.html#listElementType',0,'QDeclarativeListReference']]],
-  ['listen',['Listen',['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()'],['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()']]],
+  ['listen',['listen',['http://qt-project.org/doc/qt-4.8/qlocalserver.html#listen',0,'QLocalServer::listen()'],['http://qt-project.org/doc/qt-4.8/qtcpserver.html#listen',0,'QTcpServer::listen()'],['http://qt-project.org/doc/qt-4.8/q3socketdevice.html#listen',0,'Q3SocketDevice::listen()'],['../classflair_1_1core_1_1_connected_socket.html#ab522b80d805132cd0762f44852085613',1,'flair::core::ConnectedSocket::Listen()'],['../classflair_1_1core_1_1_tcp_socket.html#a7eaffe48d70e5119182bdb5846c6889d',1,'flair::core::TcpSocket::Listen()'],['../classflair_1_1core_1_1_udt_socket.html#a11808b6bc370de061d19bd10dddc662e',1,'flair::core::UdtSocket::Listen()']]],
   ['listinfo',['listInfo',['http://qt-project.org/doc/qt-4.8/q3ftp.html#listInfo',0,'Q3Ftp::listInfo()'],['http://qt-project.org/doc/qt-4.8/qftp.html#listInfo',0,'QFtp::listInfo()']]],
   ['liststyle',['listStyle',['http://qt-project.org/doc/qt-4.8/q3stylesheetitem.html#listStyle',0,'Q3StyleSheetItem']]],
